<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('duitku_settings', function (Blueprint $table) {
            $table->string('payment_method')->default('BC')->after('api_key');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('duitku_settings', function (Blueprint $table) {
            $table->dropColumn('payment_method');
        });
    }
};
